igeo.io

## Class IRhino3dm.BrepVertex

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Geometry
    - - igeo.io.IRhino3dm.Point
      - - igeo.io.IRhino3dm.BrepVertex

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.BrepVertex
      extends IRhino3dm.Point

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<java.lang.Integer>` | `edgeIndex`
    `double` | `tolerance`
    `static java.lang.String` | `uuid`
    `int` | `vertexIndex`

    - ### Fields inherited from class igeo.io.IRhino3dm.Point

      `point`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrepVertex()`
    `BrepVertex(int vidx, IVec pt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEdgeIndex(int i)`
    `IRhino3dm.UUID` | `getClassUUID()`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class igeo.io.IRhino3dm.Point

      `createIGeometry, createIObject, getType`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `read, setAttributes, setAttributesToIObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### vertexIndex

          public int vertexIndex

    - #### edgeIndex

          public java.util.ArrayList<java.lang.Integer> edgeIndex

    - #### tolerance

          public double tolerance

  - ### Constructor Detail

    - #### BrepVertex

          public BrepVertex()

    - #### BrepVertex

          public BrepVertex(int vidx,
                            IVec pt)

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.Point`

    - #### addEdgeIndex

          public void addEdgeIndex(int i)

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Overrides:
        `read` in class `IRhino3dm.Point`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Overrides:
        `write` in class `IRhino3dm.Point`
      Throws:
        `java.io.IOException`